#!/bin/bash

#RC and UI python generator frontend

TARGETPATH=../maintainer_helper/gui

UIFILES=`ls --color=none *.ui`
RCFILES=`ls --color=none *.qrc`

echo "Processing UI files"
for uifile in ${UIFILES}
do
    uifile=${uifile/.ui}
    echo " ${uifile}"
    pyuic4 ${uifile}.ui > "${TARGETPATH}"/${uifile}_ui.py
done

echo "Processing QRC files"
for rcfile in ${RCFILES}
do
    rcfile=${rcfile/.qrc}
    echo " ${rcfile}"
    pyrcc4 -o "${TARGETPATH}"/${rcfile}_rc.py ${rcfile}.qrc
done
echo "done"
