#!/usr/bin/env python

import os
import distutils.core

packages = []
for root, dirs, files in os.walk('maintainer_helper'):
    if '__init__.py' in files:
        package = root.replace(os.path.sep, '.')
        print 'adding package %r' % (package,)
        packages.append(package)

distutils.core.setup(name='maintainer_helper',
    version="0.1",
    description='ebuild maintenance helper application',
    author='Markus Ullmann',
    author_email='jokey@gentoo.org',
    packages=packages,
    classifiers=['Development Status :: 4 - Beta',
          'Environment :: X11 Applications',
          'Intended Audience :: Developers',
          'License :: OSI Approved :: GNU General Public License v2',
          'Operating System :: POSIX :: Linux',
          'Programming Language :: Python',
          'Topic :: Software Development :: Bug Tracking',
          'Topic :: Software Development :: Debuggers',
          'Topic :: Software Development :: Quality Assurance',
    ],
    scripts=['mhelper'],
    data_files=[('/usr/share/maintainer-helper',
        ['config/arch.list','config/skel.ebuild'])],
)
